<?
Header("Pragma: no-cache");
Header("Cache-Control: no-store, no-cache, max-age=0, must-revalidate");
Header("Content-Type: text/html");
include_once('iTunesClass.php');
/***
 * Path to itunes webfront needed for art work
 */
$pathto="c:\\ip-symcon\\webfront\\user\\iTunes\\";
$iTunes = new iTunesControll();

if(isset($_GET["action"]))
{
	$action=$_GET["action"];
	if(isset($_GET["playlist"]))
	{
		$pl=$_GET["playlist"];
		$tracks =& $iTunes->getTracksFromPlayList($pl);
	}
	else
	{
		$tracks =&$iTunes->getTracksFromCurrentPlayList();
		$pl =$tracks["ID"];
	}
	if(isset($_GET["track"]))
	{
		$track=$_GET["track"];
	}
	switch($action)
	{
		case "getTrackInfo":
			echo "<br><img src='img.php?reqTITle=".$iTunes->getTrackName()."'><br>";
			echo htmlentities(substr($iTunes->getTrackName(),0,20))."<br> (".$iTunes->getActualTrackTime().")";			
			break;
		case "getTrackName":
			echo $iTunes->getTrackName();
			break;	
		case "selectSong":
			$iTunes->playTrack($pl,$track);
			
			break;

		case "play":
			$iTunes->play();
			break;

		case "back":
			$iTunes->back();
			break;

		case "pause":
			$iTunes->pause();
			break;

		case "stop":
			$iTunes->stop();
			break;

		case "forward":
			$iTunes->forward();
			break;

		case "getTrackList":
			$start=$_GET["start"];
			$count=$_GET["count"];
			$x=0;
			echo "<table  border='0'>";
			echo "<tr><td>Titel</td><td>Zeit</td></tr>";
			$y=0;
			foreach ($tracks as $item2)
			{
				 
				if(isset($item2["NAME"]))
				{
					if(($y<($start+$count))&&($y>=$start))
					{
						echo "<tr><td style='padding:2;margin:2;line-height:16px'><a href='javascript:loadSong(".$item2["ID"].")'>".substr(htmlentities($item2["NAME"]),0,30).
                        "</a></td><td style='padding:2;margin:2;line-height:16px'>".substr(htmlentities($item2["TIME"]),0,30)."</td></tr>";
						$x=1;
					}
					$y++;
				}
			}
			echo "</table>";
			break;

		case "getPlayLists":
			$pls =& $iTunes->getPlayLists();
			echo "<table>";

			foreach ($pls as $item)
			{
				echo "<tr><td style='padding:0; margin:0;line-height:16px'><a href='javascript:loadPlaylist(".$item["ID"].")'>".substr(htmlentities($item["NAME"]),0,40)."</a></td></tr>";

			}
			echo "</table>";
			break;

		case "getCoverArt":
			if($iTunes->hasCoverArt())
			{
				echo "<br><img src='img.php?reqTITle=".$iTunes->getTrackName()."'>";
			}

			break;

		case "getVol":
			echo $iTunes->getVolume()."%";
			break;

		case "incVol":		
			$actVol=$iTunes->getVolume();
			if($actVol<=90)
			{
				$iTunes->setVolume($actVol+10);
			}
			else
			{
				$iTunes->setVolume(100);
			}
			break;

		case "decVol":
			$actVol=$iTunes->getVolume();
			if($actVol>=10)
			{
				$iTunes->setVolume($actVol-10);
			}
			else
			{
				$iTunes->setVolume(0);
			}
			break;


	}
}
?>